Skip to main content
PATCH
Patch working hours

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

id
string
required

Working hours Id.

Body

application/json
timezone
string
required

Timezone in which working hours apply. TZ database name from IANA time zone database

message
string
required

Message to be sent as an auto-reply message to the customer.

Maximum string length: 4000
workWeek
DailyWorkingHoursApiModel · object
required

List of working hours work days. It must contain all days of the week with 3 parameters each: startTime, endTime and enabled.

name
string
required

Working hours name.

Maximum string length: 255
enabled
boolean

Working hours enable/disable toggle.

isDefault
boolean

Default working hours.

closeConversations
boolean

Close conversation created outside of working hours toggle.

sendAwayMessageEveryOOWHPeriod
boolean
holidays
HolidaysApiModel · object[]

List of working hours holidays.

Response

OK

timezone
string
required

Timezone in which working hours apply. TZ database name from IANA time zone database

message
string
required

Message to be sent as an auto-reply message to the customer.

name
string
required

Working hours name.

id
string
read-only

Working hours Id.

workWeek
object

List of working hours work days. It must contain all days of the week with 3 parameters each: startTime, endTime and enabled.

enabled
boolean

Working hours enable/disable toggle.

isDefault
boolean

Default working hours.

closeConversations
boolean

Close conversation created outside of working hours toggle.

sendAwayMessageEveryOOWHPeriod
boolean
holidays
HolidaysApiModel · object[]

List of working hours holidays.